X
Tap here to go to the mobile version of the site.

Support Forum

I cannot update firefox on my mac osx

Posted

when i attempt to drag the firefox image over to the applications folder image, i am told that I do not have sufficient privileges for all items...not sure what that means. don't have this problem installing other software.

when i attempt to drag the firefox image over to the applications folder image, i am told that I do not have sufficient privileges for all items...not sure what that means. don't have this problem installing other software.

Additional System Details

This happened

Just once or twice

This started when...

today 0ct 14 2010

Installed Plug-ins

  • Netscape Navigator Default Plug-in
  • Runs Java applets using the latest installed versions of Java. For more information: Java Embedding Plugin. Run version test: Java Information.
  • Shockwave Flash 10.0 r42
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in web pages. For more information, visit the QuickTime Web site.
  • The Flip4Mac WMV Plugin allows you to view Windows Media content using QuickTime.
  • DivX Web Player version 1.4.0.233
  • Verified Download Plugin

Application

  • User Agent: Mozilla/5.0 (Macintosh; U; Intel Mac OS X; en-US; rv:1.8.1.14) Gecko/20080404 Firefox/2.0.0.14

More Information

cor-el
  • Top 10 Contributor
  • Moderator
17677 solutions 159899 answers

Firefox 3.0 and 3.5/6 versions require at least Mac OS X 10.4

See http://kb.mozillazine.org/Unsupported_operating_systems


If you have Mac OS X 10.4 or newer then do this:

  • Download a new copy of the Firefox program: http://www.mozilla.com/firefox/all.html
  • Trash the current Firefox application to do a clean reinstall.
  • Install the new version that you have downloaded.

Your profile data is stored elsewhere in the Firefox Profile Folder, so you won't lose your bookmarks and other personal data.

Firefox 3.0 and 3.5/6 versions require at least Mac OS X 10.4 *http://www.mozilla.com/en-US/firefox/system-requirements.html - Mozilla Firefox 3.6 System Requirements See http://kb.mozillazine.org/Unsupported_operating_systems ---- If you have Mac OS X 10.4 or newer then do this:<br /> *Download a new copy of the Firefox program: http://www.mozilla.com/firefox/all.html<br /> *Trash the current Firefox application to do a clean reinstall.<br /> *Install the new version that you have downloaded.<br /> Your profile data is stored elsewhere in the [http://kb.mozillazine.org/Profile_folder_-_Firefox Firefox Profile Folder], so you won't lose your bookmarks and other personal data.<br />